/** @import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=News+Cycle:wght@400;700&display=swap'); */
/** @import url("https://fonts.googleapis.com/css2?family=Roboto+Mono&display=swap"); */

:root, body, [data-bs-theme=light] {
    --conway-black: #222831;
    --conway-black-rgb: 34, 40, 49;
    --conway-carbon: #393E46;
    --conway-carbon-rgb: 57, 62, 70;
    --conway-orange: #DC5F00;
    --conway-orange-rgb: 220, 95, 0;
    --conway-orange-hover: #CC4F00;
    --conway-orange-hover-rgb: 204, 79, 0;
    --conway-orange-light: #FC7F10;
    --conway-orange-light-rgb: 252, 127, 16;
    --conway-white: #F2F2F2;
    --conway-white-rgb: 242, 242, 242;
    --conway-blue: #0078d7;
    --conway-blue-rgb: 0, 120, 215;
    --conway-blue-dark: #0058b7;
    --conway-blue-dark-rgb: 0, 88, 183;
    --conway-green: #228b22;
    --conway-green-rgb: 34, 139, 34;
    --conway-red: #A12312;
    --conway-red-rgb: 161, 35, 18;
    --conway-red-dark: #810302; 
    --conway-red-dark-rgb: 129, 3, 2;

    --bs-body-font-family: "News Cycle", sans-serif;
    --bs-body-font-size: 0.875rem;

    --bs-body-color: var(--conway-carbon);

    /** font-family: "News Cycle", sans-serif; */

    /** Custom BS **/
    /*--conway-bs-margin: 0;*/
    
    /** Override **/
    /*--bs-secondary-bg: #EDEDEF;
    --bs-secondary-bg-rgb: 237,237,239;

    --bs-primary: #A8CFDB;
    --bs-primary-rgb: 168, 207, 219;
    
    --bs-secondary: #ED84A8;
    --bs-secondary-rgb: 237, 132, 168;*/

    --sidebar-width: 300px;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.menu .nav-link {
    --bs-nav-link-padding-x: 0.375rem;
    --bs-nav-link-padding-y: 0.075rem;
    --bs-nav-link-font-size: 0.875rem;
}
.menu .btn,
.menu .btn.show {
    --bs-btn-hover-bg: rgba(var(--bs-secondary-rgb), 0.2);
    /*--bs-btn-padding-x: 0.25rem;*/
    --bs-btn-padding-y: 0.20rem;
    --bs-btn-font-size: 0.875rem;
    --bs-btn-active-border-color: transparent;
}
.menu .btn:hover {
    color: var(--bs-btn-hover-color);
    background-color: var(--bs-btn-hover-bg);
    border-color: transparent !important;
}
.menu .dropdown-menu {
    --bs-dropdown-font-size: 0.875rem;
    --bs-dropdown-border-color: transparent;
}
.menu .btn i,
.menu .nav-link i {
    font-size: 1rem;
    width: 1.25rem;
    height: 1.25rem;
    display: inline-block;
    text-align: center;
}
.menu .btn.text-start i,
.menu .nav-link.text-start i {
    margin-left: 1px;
    margin-top: 1px;
}

.menu .btn.rounded-pill.disabled {
    border-color: transparent !important;
}


.copyright a {
    color: var(--conway-black) !important;
}

/*
.btn-warning {
    color: var(--conway-carbon)!important;
}
*/

.tooltip {
    --bs-tooltip-padding-y: 0.15rem;
    --bs-tooltip-font-size: 0.75rem;
}
.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #1B4965;
    --bs-btn-border-color: #1B4965;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #153a50;
    --bs-btn-hover-border-color: #123245;
    --bs-btn-focus-shadow-rgb: 61, 99, 123; /* Basado en el tono marino */
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #123245;
    --bs-btn-active-border-color: #0f2a3a;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #1B4965;
    --bs-btn-disabled-border-color: #1B4965;
}

.form-floating>.form-control:not(:placeholder-shown)~label::after,
.form-floating>.form-control:focus~label::after,
.form-floating>.form-control:focus {
    background-color: transparent;
}

/** Imagen de marca y componentes custom **/

.text-carbon {
    color: var(--conway-carbon) !important;
}

img.avatar {
    width: 96px;
    height: auto;
}

/** END **/



/** HTMX Rendering & Bootstrap Extras Classes **/

.translate-start {
    transform: translate(-0.5rem, -50%) !important;
}
.translate-end {
    transform: translate(calc(0.5rem - 100%), -50%) !important;
}
/** END **/

/** Extras **/
.pulse-shadow { animation: pulse-shadow 1.5s infinite alternate; }
@keyframes pulse-shadow {
    from { box-shadow: 0 0 0.25rem rgba(0, 0, 0, 0.5); }
    to { box-shadow: 0 0 0.75rem rgba(0, 0, 0, 0.5); }
}
/** END **/

/** HTMX Global Request State **/
body.htmx-global-request a:not([target="_blank"]) {
    pointer-events: none !important;
    opacity: 0.65;
}
/*body.htmx-global-request button:disabled {
    opacity: unset;
}*/
/** END **/